Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226549 - Merge Review: Xaw3d
Summary: Merge Review: Xaw3d
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dan Horák
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 21:18 UTC by Nobody's working on this, feel free to take it
Modified: 2008-10-14 11:55 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-14 11:55:53 UTC
dan: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 21:18:05 UTC
Fedora Merge Review: Xaw3d

http://cvs.fedora.redhat.com/viewcvs/devel/Xaw3d/
Initial Owner: than@redhat.com

Comment 1 Hans de Goede 2008-10-06 10:15:50 UTC
Hi,

While working on fixing xfig bug 436998 it turned out to be an Xaw3d bug, and the current state of Xaw3d screamed fix me (these merge reviews really are a necessity). So besides fixing the bug I've also cleaned up the package (fixing things like actually applying the included patches, amazing).

While I'm waiting for my cvs access to be approved (former core packages, ACL's closed <sigh>), I've put the srpm of my fixed / cleaned version here:
http://people.atrpms.net/~hdegoede/Xaw3d-1.5E-12.fc10.src.rpm

I've done a scratch build of it here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=863235

rpmlint is clean

A quick review of this new version would be much appreciated, I'll do any necessary fixes myself, so we should be able to wrap this up quickly.

Comment 2 Patrice Dumas 2008-10-06 10:59:04 UTC
Seems that Stepan is the maintainer now. Putting him in CC.

Stepan, is it on purpose that the commit for group member is disabled?

Comment 3 Dan Horák 2008-10-14 09:55:04 UTC
formal review is here:

OK	source files match upstream:
	    efc5b923feda52866c859c59a5b553cb675a69d1  Xaw3d-1.5E.tar.gz
OK	package meets naming and versioning guidelines.
OK	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
OK	build root is correct.
OK	license field matches the actual license.
OK	license is open source-compatible (MIT).
OK	latest version is being packaged.
OK	BuildRequires are proper.
OK	compiler flags are appropriate.
OK	%clean is present.
OK	package builds in mock (Rawhide/x86_64).
OK	debuginfo package looks complete.
OK	rpmlint is silent.
OK	final provides and requires look sane.
N/A	%check is present and all tests pass.
OK	shared libraries are added to the regular linker search paths.
OK	owns the directories it creates.
OK	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
OK	correct scriptlets present.
OK	code, not content.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.
OK	headers in -devel.
OK	no pkgconfig files.
OK	no libtool .la droppings.
OK	not a GUI app.

this package is APPROVED

Comment 4 Hans de Goede 2008-10-14 11:55:53 UTC
Thanks, as this new version already is in rawhide, all that remains is to close this bug :)


Note You need to log in before you can comment on or make changes to this bug.